com.h3c.of.lib.msg

## Class OfmMutableFeaturesReply

- java.lang.Object
- - com.h3c.nbio.AbstractMessage
  - - com.h3c.of.lib.msg.OpenflowMessage
    - - com.h3c.of.lib.msg.OfmFeaturesReply
      - - com.h3c.of.lib.msg.OfmMutableFeaturesReply

- All Implemented Interfaces:
    Message, MutableMessage, MutableObject, Structure, Comparable<OfmFeaturesReply>

      public class OfmMutableFeaturesReply
      extends OfmFeaturesReply
      implements MutableMessage

  Mutable subclass of `OfmFeaturesReply`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `OpenflowMessage.Header`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.nbio.AbstractMessage

      `length`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OfmMutableFeaturesReply` | `addPort(Port port)` Adds a port to the list of ports; Since 1.0; Removed at 1.3.
    `OfmMutableFeaturesReply` | `auxId(int auxId)` Sets the auxiliary id; Since 1.3.
    `OfmMutableFeaturesReply` | `capabilities(Set<Capability> caps)` Sets the set of capabilities (may be null).
    `void` | `clearXid()` Clears the transaction ID field of this message (sets it to 0).
    `OfmMutableFeaturesReply` | `dpid(DataPathId dpid)` Sets the datapath id; Since 1.0.
    `OfmMutableFeaturesReply` | `numBuffers(long numBuffers)` Sets the number of buffers; Since 1.0.
    `OfmMutableFeaturesReply` | `numTables(int numTables)` Sets the number of tables supported by the switch; Since 1.0.
    `OfmMutableFeaturesReply` | `supportedActions(Set<SupportedAction> suppActs)` Sets the set of supported actions (may be null); Since 1.0; Removed at 1.1.
    `OpenflowMessage` | `toImmutable()` Returns an immutable instance of this message.
    `String` | `toString()`
    `boolean` | `writable()` Returns true if this mutable object is still writable.

    - ### Methods inherited from class com.h3c.of.lib.msg.OfmFeaturesReply

      `compareTo, equals, getAuxId, getCapabilities, getDpid, getNumBuffers, getNumTables, getPorts, getSupportedActions, hashCode, toDebugString, toDebugString`

    - ### Methods inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `decodeHeader, getType, getVersion, getXid, hex, hex, length, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.msg.Message

      `getType, getXid`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Method Detail

    - #### clearXid

          public void clearXid()

      Description copied from interface: `MutableMessage`
      Clears the transaction ID field of this message (sets it to 0).
      Specified by:
        `clearXid` in interface `MutableMessage`

    - #### toImmutable

          public OpenflowMessage toImmutable()

      Description copied from interface: `MutableMessage`
      Returns an immutable instance of this message. In essence, converts this message to be read-only.

      It is expected that the reference to this mutable message will be dropped. Note that all method calls invoked on a `MutableMessage` after `toImmutable()` has been invoked will result in an `InvalidMutableException` being thrown.

      Specified by:
        `toImmutable` in interface `MutableMessage`
      Returns:
        an immutable instance of this message.

    - #### writable

          public boolean writable()

      Description copied from interface: `MutableObject`
      Returns true if this mutable object is still writable. That is, the `#toImmutable()` method (defined on a sub-interface) has not yet been invoked.
      Specified by:
        `writable` in interface `MutableObject`
      Returns:
        true if this mutable object is still writable

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OfmFeaturesReply`

    - #### dpid

          public OfmMutableFeaturesReply dpid(DataPathId dpid)

      Sets the datapath id; Since 1.0.
      Parameters:
        `dpid` - the datapath id
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `NullPointerException` - if dpid is null

    - #### numBuffers

          public OfmMutableFeaturesReply numBuffers(long numBuffers)

      Sets the number of buffers; Since 1.0. That is, the maximum number of packets the switch can buffer when sending packets to the controller using packet-in messages.
      Parameters:
        `numBuffers` - the number of buffers
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `IllegalArgumentException` - if argument is not u32

    - #### numTables

          public OfmMutableFeaturesReply numTables(int numTables)

      Sets the number of tables supported by the switch; Since 1.0.
      Parameters:
        `numTables` - the number of tables
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `IllegalArgumentException` - if argument is not u8

    - #### auxId

          public OfmMutableFeaturesReply auxId(int auxId)

      Sets the auxiliary id; Since 1.3. That is, the connection type from the switch to the controller. Zero indicates the main connection; non-zero values indicate auxiliary connections.
      Parameters:
        `auxId` - the auxiliary id
      Returns:
        self, for chaining
      Throws:
        `VersionMismatchException` - if version < 1.3
        `InvalidMutableException` - if this instance is no longer writable
        `IllegalArgumentException` - if argument is not u8

    - #### capabilities

          public OfmMutableFeaturesReply capabilities(Set<Capability> caps)

      Sets the set of capabilities (may be null).
      Parameters:
        `caps` - the capabilities
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable

    - #### supportedActions

          public OfmMutableFeaturesReply supportedActions(Set<SupportedAction> suppActs)

      Sets the set of supported actions (may be null); Since 1.0; Removed at 1.1.
      Parameters:
        `suppActs` - the supported actions
      Returns:
        self, for chaining
      Throws:
        `VersionMismatchException` - if version > 1.0
        `InvalidMutableException` - if this instance is no longer writable

    - #### addPort

          public OfmMutableFeaturesReply addPort(Port port)

      Adds a port to the list of ports; Since 1.0; Removed at 1.3.
      Parameters:
        `port` - the port to add
      Returns:
        self, for chaining
      Throws:
        `VersionMismatchException` - if version > 1.2
        `InvalidMutableException` - if this instance is no longer writable

Copyright © 2014. All Rights Reserved.